Jet Reports Homepage |  Community Forum |  Downloads |  Submit A Ticket |  Jet Express Support
Feedback

Error: Incompatible version of Dynamics NAV detected


Symptoms

When attempting to synchronize a NAV 2013 or later database within a Jet Data Manager project, the following error is presented:

"Incompatible version of Dynamics NAV detected.  Please ensure that the NAV data source is NAV 2013 or later."


Resolutions

This error message indicates that the source database is not actually NAV 2013 or later.

First, please ensure that the source database is NAV 2013 or later first.  The following query can be executed against the appropriate NAV database to help in identifying version:

NAV Database Version Query

SELECT

CASE

WHEN [databaseversionno] = 40 THEN 'Navision 4 SP2'

WHEN [databaseversionno] = 80 THEN 'Navision 5 / 2005'

WHEN [databaseversionno] = 95 THEN 'Navision 5 / 2005 SP1'

WHEN [databaseversionno] BETWEEN 120 AND 60199 THEN 'Navision 6 / 2009'

WHEN [databaseversionno] BETWEEN 60200 AND 70199 THEN 'Navision 6 / 2009 R2'

WHEN [databaseversionno] BETWEEN 70200 AND 70719 THEN 'Navision 7 / 2013'

WHEN [databaseversionno] >= 70720 THEN 'Navision 7 / 2013 R2 (or later)'

END AS [NAV Database Version]

, [databaseversionno] [NAV Database Version No]

FROM

[dbo].[$ndo$dbproperty]

If you've verified that the version is indeed NAV 2013 or later and still encountering the error, please ensure that the user account performing the synchronization has at least the 'db_datareader' SQL permission on the source database.


Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments